/**
 * Ace64Base
 * 
 */
package ace64base;




/**
 * Global constants
 * 
 * @author Ulf Wagemann
 */
public class Ace64BaseConstants 
{
 public static final String FSA_FILE_LOCALIZED_MESSAGES                        = "ace64base/resources/Ace64BaseMessages";
 public final static String FSA_FILE_VIEW_RESOURCES                            = "ace64base/resources/Ace64BaseMainView";

 public static final String FSA_DIALOG_TITLE_FILEREQUESTER_ENCRYPT             = "dialogTitleFileRequesterEncrypt"           ;
 public static final String FSA_DIALOG_TITLE_FILEREQUESTER_DECRYPT             = "dialogTitleFileRequesterDecrypt"           ;
 public static final String FSA_DIALOG_TITLE_FILEREQUESTER_ENCRYPT_DESTINATION = "dialogTitleFileRequesterEncryptDestination";
 public static final String FSA_DIALOG_TITLE_FILEREQUESTER_DECRYPT_DESTINATION = "dialogTitleFileRequesterDecryptDestination";
 public static final String FSA_DIALOG_TITLE_RESULTS                           = "dialogTitleResults"                        ;
 public static final String FSA_DIALOG_TITLE_INFORMATION                       = "dialogTitleInformation"                    ;
 public static final String FSA_DIALOG_TITLE_ERROR                             = "dialogTitleError"                          ;

 public static final String  FSA_MODE_ENCRYPTING   = "localizedModeEncrpyting"     ;
 public static final String  FSA_MODE_DECRYPTING   = "localizedModeDecrpyting"     ;
 public static final String  FSA_MSG_ENCRYPTING    = "localizedMessageEncrpyting"  ;
 public static final String  FSA_MSG_DECRYPTING    = "localizedMessageDecrpyting"  ;
 public static final String  FSA_MSG_RESULT_OK     = "localizedMessageResultOk"    ;
 public static final String  FSA_MSG_RESULT_ERROR  = "localizedMessageResultError" ;
 public static final String  FSA_MSG_FINISHED      = "localizedMessageFinished"    ; 
 public static final String  FSA_MSG_CANCELLED     = "localizedMessageCancelled"   ; 
 
 public static final String FSA_DIALOG_OPTION_OK     = "dialogOptionOk";
 public static final String FSA_DIALOG_OPTION_CANCEL = "dialogOptionCancel";
 
 public final static String FSA_DIALOG_TEXT_NOT_WRITEABLE_ERROR = "dialogTextNotWriteableError";
 public final static String FSA_DIALOG_TEXT_RESULT_ENCRYPTION   = "dialogTextResultEncryption";
 public final static String FSA_DIALOG_TEXT_RESULT_DECRYPTION   = "dialogTextResultDecryption";
 
 public final static String FSA_FUGLY_BACKGROUND          = "jProgressBar.background"         ;
 public final static String FSA_FUGLY_FOREGROUND          = "jProgressBar.foreground"         ;
 public final static String FSA_FUGLY_SELECTED_FOREGROUND = "jProgressBar.selectionForeground";
 public final static String FSA_FUGLY_SELECTED_BACKGROUND = "jProgressBar.selectionBackground";  
 public final static String FSA_CHOOSER_CANCEL_TEXT       = "jFileChooser.cancelText";

}
